Skip to main content
Use these operations to interact with custom data in Cortex.

Required permissions

Edit entities: Your API key must have the Edit entities permission.

Operations

List custom data for entity

GET /api/v1/catalog/{tagOrId}/custom-data

Retrieve custom data for entity

GET /api/v1/catalog/custom-data

Retrieve custom data for entity by key

GET /api/v1/catalog/{tagOrId}/custom-data/{key}

Add custom data for entity

POST /api/v1/catalog/{tagOrId}/custom-data

Add custom data via webhook

POST /api/v1/custom-integrations/data/{uuid}

Add custom data in bulk

PUT /api/v1/catalog/custom-data

Delete custom data for entity

DELETE /api/v1/catalog/{tagOrId}/custom-data

Delete custom data by key for entity

DELETE /api/v1/catalog/custom-data
Last modified on September 24, 2026